# Class TableCreateButtonDirective<Data>

#### Type Parameters

- Data extends Record<string, any>

#### Implements

- OnInit
- OnDestroy

- Defined in packages/angular/material/table-system/src/lib/table-create-button/table-create-button.directive.ts:24

#####
Index

### Constructors

constructor

### Properties

_createObservable?
dataSource
elementRef
method
renderer

### Methods

ngOnDestroy
ngOnInit
onClick

## Constructors

### constructor

- new TableCreateButtonDirective<Data>(method, elementRef, renderer): TableCreateButtonDirective<Data>

- #### Type Parameters

  - Data extends Record<string, any>

  #### Parameters

  - method: Method<any, Data | Observable<Data>>
  - elementRef: ElementRef<any>
  - renderer: Renderer2

  #### Returns TableCreateButtonDirective<Data>

  - Defined in packages/angular/material/table-system/src/lib/table-create-button/table-create-button.directive.ts:34

## Properties

### `Private` `Optional` _createObservable

_createObservable?: Observable<any>

- Defined in packages/angular/material/table-system/src/lib/table-create-button/table-create-button.directive.ts:32

### dataSource

dataSource: TableDataSourceDirective<Data>

- Defined in packages/angular/material/table-system/src/lib/table-create-button/table-create-button.directive.ts:30

### `Private` `Readonly` elementRef

elementRef: ElementRef<any>

- Defined in packages/angular/material/table-system/src/lib/table-create-button/table-create-button.directive.ts:38

### `Private` `Readonly` method

method: Method<any, Data | Observable<Data>>

- Defined in packages/angular/material/table-system/src/lib/table-create-button/table-create-button.directive.ts:36

### `Private` `Readonly` renderer

renderer: Renderer2

- Defined in packages/angular/material/table-system/src/lib/table-create-button/table-create-button.directive.ts:40

## Methods

### ngOnDestroy

- ngOnDestroy(): void

- #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in packages/angular/material/table-system/src/lib/table-create-button/table-create-button.directive.ts:52

### ngOnInit

- ngOnInit(): void

- #### Returns void

  Implementation of OnInit.ngOnInit

  - Defined in packages/angular/material/table-system/src/lib/table-create-button/table-create-button.directive.ts:44

### onClick

- onClick(): Promise<void>

- #### Returns Promise<void>

  - Defined in packages/angular/material/table-system/src/lib/table-create-button/table-create-button.directive.ts:59